[3.1.0.rc4] MultiJson::DecodeError with alternative I18n Backends

Hello, I open a issue :
https://github.com/rails/rails/issues/1499

I solve this issue with a monkey path.

But I thinks it's a regression against the 3.0. I try same code with
3.0.7 and it's work perfectly.

Can it be solve without this dirty monkey ?

Thanks.